%global momorel 2

Name:		ql23xx-firmware
Summary: 	Firmware for qlogic 23xx devices
Version:	3.03.28
Release:	%{momorel}m%{?dist}
License:	"Redistributable, no modification permitted"
Group:		System Environment/Kernel
Source0:	ftp://ftp.qlogic.com/outgoing/linux/firmware/ql2300_fw.bin
Source1:	ftp://ftp.qlogic.com/outgoing/linux/firmware/ql2322_fw.bin
Source2:	ftp://ftp.qlogic.com/outgoing/linux/firmware/LICENSE
URL:		ftp://ftp.qlogic.com/outgoing/linux/firmware/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

%description
Firmware for qlogic 2300 and 2322 devices.

%prep
%setup -n %{name} -c -T
cp %{SOURCE0} .
cp %{SOURCE1} .
cp %{SOURCE2} .

%build
# Firmware, do nothing.

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/lib/firmware/
install -m0644 ql2300_fw.bin $RPM_BUILD_ROOT/lib/firmware/
install -m0644 ql2322_fw.bin $RPM_BUILD_ROOT/lib/firmware/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE
/lib/firmware/ql2300_fw.bin
/lib/firmware/ql2322_fw.bin

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (3.03.28-2m)
- full rebuild for mo7 release

* Mon Aug  9 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.03.28-1m)
- update to 3.03.28

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.03.27-3m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.03.27-2m)
- rebuild against rpm-4.6

* Tue Nov 11 2008 YAMAZAKI Makoto <zaki@zakky.org>
- (3.03.27-1m)
- updated to 3.03.27

* Sun Nov  9 2008 YAMAZAKI Makoto <zaki@zakky.org>
- (3.03.20-2m)
- updated source location

* Mon May  5 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (3.03.20-1m)
- import from Fedora

* Wed Oct 24 2007 Tom "spot" Callaway <tcallawa@redhat.com> 3.03.20-1
- Initial package for Fedora
